Bug 104928 - libglvnd_1.0.0 disables amdgpu direct rendering
Summary: libglvnd_1.0.0 disables amdgpu direct rendering
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: EGL (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium blocker
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-03 13:10 UTC by fin4478
Modified: 2018-04-27 05:42 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Xorg.0.log (63.52 KB, text/x-log)
2018-02-03 13:10 UTC, fin4478
Details

Note You need to log in before you can comment on or make changes to this bug.
Description fin4478 2018-02-03 13:10:25 UTC
Created attachment 137150 [details]
Xorg.0.log

In Debian testing many qt5 applications depends on the libegl1 package that is created from the libglvnd_1.0.0 sources. Original source is from Nvidia.
https://packages.debian.org/buster/libegl1

The presence of this package disables 2d and 3d hardware acceleration of the Mesa amdgpu  driver:

[ 6.245] (EE) AMDGPU(0): eglGetDisplay() failed
[ 6.245] (EE) AMDGPU(0): glamor detected, failed to initialize EGL.

[ 6.452] (II) AMDGPU(0): Front buffer pitch: 7680 bytes
[ 6.452] (==) AMDGPU(0): DRI3 disabled
[ 6.452] (==) AMDGPU(0): Backing store enabled
[ 6.452] (WW) AMDGPU(0): Direct rendering disabled
[ 6.452] (II) AMDGPU(0): 2D and 3D acceleration disabled
[ 6.452] (==) AMDGPU(0): DPMS enabled
[ 6.452] (==) AMDGPU(0): Silken mouse enabled
[ 6.453] (II) AMDGPU(0): RandR 1.2 enabled, ignore the following RandR disabled message.
[ 6.489] (--) RandR disabled
[ 6.491] (II) SELinux: Disabled on system
[ 6.491] (II) AIGLX: Screen 0 is not DRI2 capable
[ 6.491] (EE) AIGLX: reverting to software rendering
[ 6.499] (II) IGLX: enabled GLX_MESA_copy_sub_buffer
[ 6.500] (II) IGLX: Loaded and initialized swrast
[ 6.500] (II) GLX: Initialized DRISWRAST GL provider for screen 0



I am using Oibaf ppa Mesa git and this bug appeared in a couple of days. This work might have caused this bug:
https://www.phoronix.com/scan.php?page=news_item&px=GLXVND-Closer-To-Xorg
Comment 1 Timo Aaltonen 2018-02-04 11:49:02 UTC
mesa from oibaf ppa does not use libglvnd
Comment 2 fin4478 2018-02-04 18:13:17 UTC
Debian Buster and Sid Mesa uses libglvnd, in other words  the libegl1 package. Thanks for that bomb in Debian. I did remove xorg and instaled it again, same problem with Buster and Sid, no hardware graphics acceleration. Siduction live uses Mesa 17.1.1 and there is no this bug.

http://metadata.ftp-master.debian.org/changelogs/main/libg/libglvnd/libglvnd_1.0.0-2_changelog

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 26 Jan 2018 13:48:45 +0200


 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 03 Dec 2016 02:09:57 +0200
Comment 3 Christian König 2018-02-04 18:24:32 UTC
As Timo already explained the oibaf ppa doesn't support lbglvnd.

You can't blame anybody if you install packages which doesn't include the necessary support.
Comment 4 fin4478 2018-02-05 04:56:56 UTC
Installing libegl-mesa0 package from experimental repositry fixes the bug.


https://packages.debian.org/experimental/libegl-mesa0
Comment 5 Jose P. 2018-04-27 05:42:11 UTC
Just in case someone comes from Google looking for "(EE) AMDGPU(0): eglGetDisplay() failed, followed by (EE) AMDGPU(0): glamor detected, failed to initialize EGL.", "AMDGPU(0): 2D and 3D acceleration disabled" or "AMDGPU(0): Direct rendering disabled": I upgraded from Ubuntu 17.10 to 18.04, and for some reason, two nvidia packages, libnvidia-gl-390 and libnvidia-common-390, had been installed in my system. Removing those packages fixed the problem...


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.